petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecScatterFinalizeForGPU

Finalizes a generalized scatter from one vector to another for GPU based computation.

### Synopsis

    #include "petscvec.h"
    PETSC_EXTERN PetscErrorCode VecScatterFinalizeForGPU(VecScatter inctx)

### Input Parameter

| inctx | - scatter context generated by VecScatterCreate() Many br

Many br

### Notes

Effectively, this function resets the temporary buffer flags. Currently, this Many bronly used in the context of the parallel SpMV call in in MatMult_MPIAIJCUDA Many bror MatMult_MPIAIJCUDAARSE. Once the MatMultAdd is finished, the GPU temporary Many brbuffers used for messaging are no longer valid. Many br

### See Also

VecScatterInitializeForGPU(), VecScatterCreate(), VecScatterEnd()

Level:intermediate
Location:src/vec/vec/utils/vscat.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages